=== debian/changelog ===
gpsd (3.17-7~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports. (Closes: #902243)
  * [378b7af6] Revert "Allow gpsd.service to be enabled by the
    admin at boot time." - Not compatible with stretch.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 28 Jul 2019 00:20:39 +0200

gpsd (3.17-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * [ffb32ff8] Allow gpsd.service to be enabled by the admin at boot time.
    Be sure to keep it disabled. The admin needs to explicitely start
    it if needed.
    Closes: #928681

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 25 May 2019 11:55:30 +0200

gpsd (3.17-6) unstable; urgency=medium

  * [0a8e4e18] Pull json fixes from upstream to fix a stack-based
    buffer overflow, which may allow remote attackers to execute
    arbitrary code on embedded platforms via traffic on Port
    2947/TCP or crafted JSON inputs.
    CVE-2018-17937 / Closes: #925327
    The update also fixes several other json parser bugs.
    - ECMA-404 says JSON \u must have 4 hex digits
    - Allow for \u escapes with fewer than 4 digits.
    - Fail on bad escape string.
  * [71020f4f] Update git-buildpackage config to build from the
    buster branch.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 05 Apr 2019 23:31:30 +0200

gpsd (3.17-5) unstable; urgency=medium

  * [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  * [6d0e69e3] Build with default compiler standard
  * [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  * [a744cad9] Updating debian/control from debian/control.in

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Dec 2017 00:57:01 +0100

gpsd (3.17-4) unstable; urgency=medium

  * [cbbe97a4] Build against QT5.
    Thanks to Lisandro Damián Nicanor Pérez Meyer (Closes: #874905)
  * [aed76eeb] Depend on python-gi. (Closes: #885297)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 26 Dec 2017 12:35:25 +0100

gpsd (3.17-3) unstable; urgency=medium

  * [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 27 Oct 2017 17:26:55 +0200

gpsd (3.17-2) unstable; urgency=medium

  * Uploading to unstable.
  * [a13df427] Fixing last changelog entry.
    Some lines went missing, oops.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 26 Oct 2017 23:16:41 +0200

gpsd (3.17-1) experimental; urgency=medium

  * [d21fbf15] Updated version 3.17 from 'upstream/3.17'
    with Debian dir 3099dc33257e902647917f2ad7e67eec078b0b42
  * [913ea95c] Fix SConstruct.
  * [d9d7b300] Python dbg _d.so files are not built anymore.
  * [f0ea0948] Install ppscheck + manpage
  * [7df3aa0a] Updating symbols files

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 16:12:28 +0200
