## gpsd 3.19

=== debian/changelog ===
gpsd (3.19-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * [d61040a0] d/usr.sbin.gpsd: Relicense to BSD to match the Project.
    As the Author of the profile I'm relicensing the apparmor profile
    to the BSD License to match the (majority) of the rest of the
    GPSD project licenses.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * [5de17f0c] Allow gpsd.service to be enabled by the admin at boot time.
    Be sure to keep it disabled. The admin needs to explicitely start
    it if needed. (Closes: #928681)

  [ Bernd Zeimetz ]
  * [7a45f357] Update upstream source from tag 'upstream/3.19'
    Update to upstream version '3.19'
    with Debian dir b3aea49f5d39c5eb18ffcb61a2b6cebae7f7322f
  * [63e0cd09] snapshot changelog
  * [5e3a1568] test script location changed
  * [9035f8d9] add test_misc.py
  * [6d9ccaf3] Add gpsrinex
  * [764bfeaa] Updating symbol files

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 11 Jul 2019 10:01:16 +0200

gpsd (3.18.1-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Lintian/Standarts/Compat-level fixes
    - [7f88e6a6] d/copyright: update to dep-5 format and for project changes
    - [1260d1f4] d/p/series: mention the purpose of add_patch.sh
    - [900bdc19] d/patches/gpsd_hotplug_rules_disable_generic_serial_converters
      add dep-3 header
    - [03a2b421] add minimal header to debian/patches/full-systemd-support
    - [6759d5f2] d/gpsd.init: remove sysV to not jeopardize socket activation
    - [090182f8] d/gpsd.maintscript: clean up dropped sysV init (conffile)
    - [405bf8c1] add autopkgtest to verify service/socket
    - [373e3f23] d/rules: use pkg-info.mk to detect the package version
    - [8022d1d5] d/p/python3_support_in-SConstruct: add minimal dep-3 patch
      header
    - [00b447e6] d/control{.in}: point to current packaging repo with secure url
    - [7640cb28] d/control{.in}: update debhelper build dependencies per lintian
      warnings
    - [1b87b0c0] d/rules, d/control{.in}: do not depend on qt5-default meta
      package
    - [b7db9f61] d/source/lintian-overrides: mark gpsd-dbg not being a package
      with debug symbols
    - [7e4513b8] d/gpsd.{pre,post}{rm,inst}: drop code only needed for upgrades
      from oldoldstable
    - [53f3ec60] d/compat: bump to compat 11, no further changes needed
    - [40505722] standards-version 3.9.8: switch deprecated menu to FreeDesktop
      entries
    - [3d6613a5] standards-version 4.0.0: do not build man pages if nodoc is set
      in DEB_BUILD_OPTIONS
    - [dd9396d4] standards-version 4.0.1: Use priority 'optional' instead of
      deprecated priority 'extra'
    - [d3563a42] debian/watch: use https and signature verification
    - [397d7744] d/control{.in}: bump Standards-Version to 4.2.1
    - [cd2c0ad1] d/rules: switch to dh_missing to prepare for compat 12
    - [2e9946c7] d/rules: use dh_installsystemd for compat >=11
    - [0031cfc8] d/control{.in}: simplify by dropping conflicts/breaks not even
      in oldoldstable anymore
  * complete python3 support that was started in 3.17-6 (Closes: #883286)
    - [30da0ff0] d/control{.in}: fix duplicate-long-description in
      python[3]-gps packages
    - [c088a6d7] d/control.in: add missing python3 changes
    - [96a7df91] d/control{.in}: scons for python3 will need >=3.5
    - [cf5d6e63] d/control{.in}: remove ancient X-Python-Version
    - [f15fbbe8] d/rules: scons need target_python set for py2/py3
    - [91daffd9] d/python3-gps.install: follow subversion specific py3 shared
      objects naming convention
    - [f53cd4a2] d/control{.in}: let gpsd-clients also depend on python3 bits
    - [fd7ff117] d/control{.in}, d/gpsd-clients.install, d/python3-gps.install:
      tools gpscat, gpsfake and gpsprof are python2 and part of the cli tools,
      so move them from python3-gps to gpsd-clients
    - [69de7b75] d/control: add ${python3:Depends} to gpsd-clients in case
      upstream switches to python3
    - [2f1dc482] d/control{.in}: add python dependencies not picked up by
      dh_python
    - [25a79e9f] d/control{.in}: remove manual python dependency
      python:Depends will take care
    - [02c1d28c] d/rules: remap wrong install prefix enforced by scons
  * [fd58e624] New upstream version 3.18.1
    - [0abe62cb] d/p/full-systemd-support: update for 3.18.1
    - [d6e6fe9a] d/p/python3_support_in-SConstruct: dropped as it is in 3.18.1
    - [324d2966] d/control{.in}: add python dependencies for better checks in
      3.18.1
    - [7fd30c38] d/gpsd-clients.install: add new ubxtool and zerk to manage
      JAVAD and u-blox GPS
    - [1caba4b3] d/libgpsLIBGPSSONAME.symbols: update symbols to 3.18
    - [6eb6d26a] d/libqgpsmmLIBGPSSONAME.symbols: update symbols to 3.18
  * [d5ee2b3e] d/control[.in}, d/rules, d/usr.sbin.gpsd, d/gpsd.install: add
    apparmor profile for gpsd

  [ Bernd Zeimetz ]
  * [cc886877] Depend on the fixed scons version
  * [3ad7153a] Delete __pycache__ in clean target.
  * [b27def48] Add the build-in-debian .travis.yml again

  [ Christian Ehrhardt ]
  * [981b512c] d/t/control: mark test to require container.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [35763ca7] d/t/control: mark all binaries we need as dependencies (expect no base system to be present)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [950c3576] d/libgpsLIBGPSSONAME.install: use generated LIBGPSSONAME version.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  * [d8942ba4] - d/rules, d/libgpsLIBGPSSONAME.install: replace libgps.so.LIBGPSSONAME with a quirk to avoid issues by broken fakeroot.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Bernd Zeimetz ]
  * [32ffa216] Let autopkgtest not fail build on travis.
  * [da9c1c8a] Use $(LIBGPS_SONAME) instead of hardcoded soname.
  * [a481720a] Updating debian/control from debian/control.in

