=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,19 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 #uncomment if debhelper should be verbose
 #export DH_VERBOSE=1
 
-DEBIAN_VERSION := $(strip $(shell dpkg-parsechangelog| awk '/Version/{print $$2}'))
-
 LIBGPS_SONAME := $(strip $(shell grep -E '^libgps_version_current' SConstruct | sed 's,.*=[^0-9]*\([0-9]*\).*,\1,'))
 
+export QT_SELECT=qt5
 
 LIBGPS_DEBIAN_FILE_SOURCES := $(strip $(shell ls -1 debian/*LIBGPSSONAME* ))
 LIBGPS_DEBIAN_FILE_TARGETS := $(strip $(shell echo $(LIBGPS_DEBIAN_FILE_SOURCES) | sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g'))
 
 #python versions
-PYTHONS := $(shell pyversions -vr)
-PYTHON_DEFAULT := $(strip $(shell pyversions -vd))
+PYTHONS := $(shell pyversions -r) $(shell py3versions -r)
 
 #debhelper version and settings needed for udev
 DH_VERSION := $(shell dpkg -s debhelper | grep '^Version' | awk '{print $$2}')
@@ -46,6 +46,9 @@
 	gpsd_group=dialout \
 	qt_versioned=5
 
+ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+	SCONSOPTS += manbuild=no
+endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	SCONSOPTS += debug=yes
@@ -61,6 +64,7 @@
 PACKAGE_LIB_DEV := libgps-dev
 PACKAGE_QTLIB_DEV := libqgpsmm-dev
 PACKAGE_PY := python-gps
+PACKAGE_PY3 := python3-gps
 PACKAGE_GPSDDBG := gpsd-dbg
 
 
@@ -83,8 +87,8 @@
 	done
 
 debian/control: debian/control.in
-		rm -f $@ 
-		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g' $< > $@ 
+		rm -f $@
+		sed 's,LIBGPSSONAME,$(LIBGPS_SONAME),g' $< > $@
 		if [ -d .git ]; then \
 			git add debian/control ;\
 			git commit -m 'Updating debian/control from debian/control.in' debian/control ;\
@@ -93,7 +97,7 @@
 SConstruct.deb_revision: SConstruct
 	if [ ! -f $@ ]; then \
 		cp $< $@ ;\
-		sed -i '/^revision=/s/%(.*)/%("$(DEBIAN_VERSION)",)/' $< ;\
+		sed -i '/^revision=/s/%(.*)/%("$(DEB_VERSION)",)/' $< ;\
 	fi
 	touch $@
 
@@ -104,7 +108,7 @@
 build-stamp: SConstruct.deb_revision
 	set -e; \
 	    for py in $(PYTHONS); do \
-	    	$(SCONS_ENV) python$${py} /usr/bin/scons $(SCONSOPTS); \
+	    	$(SCONS_ENV) $${py} /usr/bin/scons $(SCONSOPTS) target_python=$${py} ; \
 	    done
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	# disable tests on hurd due to weird ipv6 errors
@@ -126,7 +130,7 @@
 	dh_testroot
 	set -e; \
 	    for py in $(PYTHONS); do \
-	    	$(SCONS_ENV) python$${py} /usr/bin/scons $(SCONSOPTS) --clean ; \
+	    	$(SCONS_ENV) $${py} /usr/bin/scons $(SCONSOPTS) target_python=$${py} --clean ; \
 	    done
 	$(SCONS_ENV) python /usr/bin/scons $(SCONSOPTS) sconsclean || true
 	# revert revision changes in SConstruct
@@ -144,7 +148,8 @@
 	    debian/shlibs.local \
 	    leapsecond.pyc \
 	    libgps.a \
-	    $(LIBGPS_DEBIAN_FILE_TARGETS)
+	    $(LIBGPS_DEBIAN_FILE_TARGETS) \
+	    __pycache__
 	dh_clean
 
 install: install-stamp
@@ -154,7 +159,7 @@
 	dh_prep
 	set -e ;\
 	    for py in $(PYTHONS); do \
-	    	$(SCONS_ENV) DESTDIR=`pwd`/debian/tmp python$${py} /usr/bin/scons install $(SCONSOPTS) ;\
+	    	$(SCONS_ENV) DESTDIR=`pwd`/debian/tmp $${py} /usr/bin/scons install $(SCONSOPTS) target_python=$${py} ;\
 	    done
 	# install static lib
 	cp libgps.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -169,8 +174,17 @@
 	done
 	rm -f debian/tmp/usr/share/man/man3/libQgpsmm.3
 	ln -s libgpsmm.3.gz debian/tmp/usr/share/man/man3/libQgpsmm.3.gz
+	# scons insists on python artifactes being placed in /usr/local despite
+	# prefix settings, fix this up before dh*install
+	mkdir -p debian/tmp/usr/lib/
+	mv -v debian/tmp/usr/local/lib/* debian/tmp/usr/lib/
 	# install everything
-	dh_install --fail-missing
+	dh_install
+	# quirk to avoid issues by broken fakeroot misdetecting links as files and
+	# then breaking dh_install -> cp -a fatally
+	ln -s libgps.so.$(LIBGPS_SONAME).0.0 debian/libgps$(LIBGPS_SONAME)/usr/lib/$(DEB_HOST_MULTIARCH)/libgps.so.$(LIBGPS_SONAME)
+	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgps.so.$(LIBGPS_SONAME)
+	dh_missing --fail-missing
 	# remove rpaths
 	find debian -type f -exec file {} \; |\
 	    grep ELF |\
@@ -187,24 +201,31 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs  NEWS
-	dh_installdocs 
-	dh_installman 
-	dh_installmenu 
-	dh_systemd_enable -pgpsd
+	dh_installdocs
+	dh_installman
+	dh_installmenu
+	dh_apparmor --profile-name=usr.sbin.gpsd -pgpsd
+	dh_installsystemd -pgpsd --restart-after-upgrade gpsdctl@.service gpsd.socket
+	dh_installsystemd -pgpsd --no-enable --no-start gpsd.service
 	dh_installinit
-	dh_systemd_start -pgpsd --restart-after-upgrade
-	dh_installexamples 
-	chmod 755 debian/$(PACKAGE_PY)/usr/lib/python*/*-packages/gps/gps.py
+	dh_installsystemd -pgpsd --restart-after-upgrade
+	dh_installexamples
+	chmod 755 debian/$(PACKAGE_PY)/usr/lib/python2*/*-packages/gps/gps.py
+	chmod 755 debian/$(PACKAGE_PY3)/usr/lib/python3*/*-packages/gps/gps.py
 	dh_python2 -Ngpsd -Ngpsd-clients -Ngpsd-dbg
 	dh_python2 -pgpsd-dbg usr/lib/gpsd/debug
 	dh_python2 -pgpsd-clients usr/bin
 	dh_python2 -pgpsd lib/udev/
+	dh_python3 -Ngpsd -Ngpsd-clients -Ngpsd-dbg
+	dh_python3 -pgpsd-dbg usr/lib/gpsd/debug
+	dh_python3 -pgpsd-clients usr/bin
+	dh_python3 -pgpsd lib/udev/
 	cp $(CURDIR)/gpsd.rules $(CURDIR)/debian/gpsd.udev
-	dh_installudev 
-	dh_link 
+	dh_installudev
+	dh_link
 	dh_strip --dbgsym-migration='gpsd-dbg (<< 3.16-4~)'
 	dh_buildinfo -p$(PACKAGE_GPSDDBG)
-	dh_compress 
+	dh_compress
 	dh_fixperms  -Xgpsd.hotplug
 	dh_lintian
 ifeq (,$(DEB_BUILD_OPTIONS))
@@ -213,14 +234,14 @@
 else
 	dh_makeshlibs
 endif
-	dh_shlibdeps 
+	dh_shlibdeps
 ifneq (,$(UDEV_BREAKS))
 	echo "gpsd:Breaks=udev (<< $(UDEV_BREAKS))" >> $(CURDIR)/debian/gpsd.substvars
 endif
-	dh_gencontrol 
-	dh_installdeb 
-	dh_md5sums 
-	dh_builddeb 
+	dh_gencontrol
+	dh_installdeb
+	dh_md5sums
+	dh_builddeb
 
 
 binary-indep: binary
